Problems installing ACROBAT DC PRO 2015 "system may need to be updated problem"

New Here ,
Apr 19, 2022 Apr 19, 2022

Copy link to clipboard

Copied

I have a new computer running Windows 10 and it only has Microsoft Edge (can't download Explorer 11 anymore).  

I tried to install my Acrobat DC Pro (2015) and while it installed, it asked me to sign in.  When I attempted to sign in I got the ""Update required. Your browser or operating system is no longer supported. You may need to install the latest updates to your operating system."  I have the most up to date Windows 10 etc. 

 

I did all the things in https://helpx.adobe.com/x-productkb/global/update-operating-system-and-browser.html

This includes updating the registry.  I even set Edge default browser settings to let Internet Explorer open sites (though I'm not sure how this is done without an actual Explorer 11 installation.  

I still get the same notice above. 

 

Does anyone have any other ideas to try?  Thank you in advance!

 

 

TOPICS
Install update and subscribe to Acrobat

Views

22

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
no replies

Have something to add?

Join the conversation